- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions

# QSyntaxHighlighter Class Reference

Search for all occurrences

## Detailed Description

Definition at line 66 of file qsyntaxhighlighter.h.

`#include <qsyntaxhighlighter.h>`

Inheritance diagram for QSyntaxHighlighter:
[legend]

List of all members.

## Public Slots
void | rehighlight ()
void | rehighlightBlock (const QTextBlock &block)
## Public Member Functions
| QSyntaxHighlighter (QObject *parent)
| QSyntaxHighlighter (QTextDocument *parent)
| QSyntaxHighlighter (QTextEdit *parent)
virtual | ~QSyntaxHighlighter ()
void | setDocument (QTextDocument *doc)
QTextDocument * | document () const
## Protected Member Functions
virtual void | highlightBlock (const QString &text)=0
void | setFormat (int start, int count, const QTextCharFormat &format)
void | setFormat (int start, int count, const QColor &color)
void | setFormat (int start, int count, const QFont &font)
QTextCharFormat | format (int pos) const
int | previousBlockState () const
int | currentBlockState () const
void | setCurrentBlockState (int newState)
void | setCurrentBlockUserData (QTextBlockUserData *data)
QTextBlockUserData * | currentBlockUserData () const
QTextBlock | currentBlock () const

## Constructor & Destructor Documentation

QSyntaxHighlighter | ( | QObject * | parent | ) |

QSyntaxHighlighter | ( | QTextDocument * | parent | ) |

QSyntaxHighlighter | ( | QTextEdit * | parent | ) |

virtual ~QSyntaxHighlighter | ( |  | ) | `[virtual]`

## Member Function Documentation

void setDocument | ( | QTextDocument * | doc | ) |

Search for all occurrences

QTextDocument* document | ( |  | ) | const

Search for all occurrences

void rehighlight | ( |  | ) | `[slot]`

Search for all occurrences

void rehighlightBlock | ( | const QTextBlock & | block | ) | `[slot]`

Search for all occurrences

virtual void highlightBlock | ( | const QString & | text | ) | `[protected, pure virtual]`

Search for all occurrences

void setFormat | ( | int | start,
|  | int | count,
|  | const QTextCharFormat & | format
| ) |  | `[protected]`

Search for all occurrences

void setFormat | ( | int | start,
|  | int | count,
|  | const QColor & | color
| ) |  | `[protected]`

Search for all occurrences

void setFormat | ( | int | start,
|  | int | count,
|  | const QFont & | font
| ) |  | `[protected]`

Search for all occurrences

QTextCharFormat format | ( | int | pos | ) | const `[protected]`

Search for all occurrences

int previousBlockState | ( |  | ) | const `[protected]`

Search for all occurrences

int currentBlockState | ( |  | ) | const `[protected]`

Search for all occurrences

void setCurrentBlockState | ( | int | newState | ) | `[protected]`

Search for all occurrences

void setCurrentBlockUserData | ( | QTextBlockUserData * | data | ) | `[protected]`

Search for all occurrences

QTextBlockUserData* currentBlockUserData | ( |  | ) | const `[protected]`

Search for all occurrences

QTextBlock currentBlock | ( |  | ) | const `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qsyntaxhighlighter.h

QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter
QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter QSyntaxHighlighter